"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var TruncateContext_1 = __importDefault(require("./TruncateContext"));
var TruncateItem_1 = __importDefault(require("./TruncateItem"));
function TruncateList(_a) {
    var children = _a.children, Ellipsis = _a.ellipsis;
    var _b = react_1.default.useContext(TruncateContext_1.default), truncateIndex = _b.truncateIndex, observer = _b.observer, isTruncating = _b.isTruncating;
    if (!isTruncating)
        return react_1.default.createElement(react_1.default.Fragment, null, children);
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.Children.map(children, function (child, index) {
            return truncateIndex !== null ? (index < truncateIndex && child) : (react_1.default.createElement(TruncateItem_1.default, { id: index, observer: observer }, child));
        }),
        truncateIndex && Ellipsis && (react_1.default.createElement(TruncateItem_1.default, { id: "ellipsis-" + truncateIndex, observer: observer },
            react_1.default.createElement(Ellipsis, { moreCount: react_1.default.Children.count(children) - truncateIndex, moreChildren: react_1.default.Children.toArray(children).slice(truncateIndex) })))));
}
exports.default = TruncateList;
