import React from 'react';
import context from './TruncateContext';
import TruncateItem from './TruncateItem';
function TruncateList(_a) {
    var children = _a.children, Ellipsis = _a.ellipsis;
    var _b = React.useContext(context), truncateIndex = _b.truncateIndex, observer = _b.observer, isTruncating = _b.isTruncating;
    if (!isTruncating)
        return React.createElement(React.Fragment, null, children);
    return (React.createElement(React.Fragment, null,
        React.Children.map(children, function (child, index) {
            return truncateIndex !== null ? (index < truncateIndex && child) : (React.createElement(TruncateItem, { id: index, observer: observer }, child));
        }),
        truncateIndex && Ellipsis && (React.createElement(TruncateItem, { id: "ellipsis-" + truncateIndex, observer: observer },
            React.createElement(Ellipsis, { moreCount: React.Children.count(children) - truncateIndex, moreChildren: React.Children.toArray(children).slice(truncateIndex) })))));
}
export default TruncateList;
